## libqapt 2.1.70

=== CMakeLists.txt ===
project(libqapt)

cmake_minimum_required(VERSION 2.8.6)
set(CMAKE_AUTOMOC TRUE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

set(qapt_VERSION 2.1.70)

set(qapt_lib_SOVERSION 2)
set(qapt_lib_VERSION ${qapt_lib_SOVERSION}.1.70)

configure_file(
       "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/cmake_uninstall.cmake.in"
       "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
       IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libqapt.pc.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/libqapt.pc
               @ONLY )

configure_file(qaptversion.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/qaptversion.h)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qaptversion.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/libqapt)

# This macro is defined in FindPolkitQt.cmake
macro(dbus_add_activation_system_service _sources)
    foreach (_i ${_sources})
        get_filename_component(_service_file ${_i} ABSOLUTE)
        string(REGEX REPLACE "\\.service.*$" ".service" _output_file ${_i})
        set(_target ${CMAKE_CURRENT_BINARY_DIR}/${_output_file})
        configure_file(${_service_file} ${_target})
        install(FILES ${_target} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dbus-1/system-services )
        #install(FILES ${_target} DESTINATION ${_install_dir})
    endforeach (_i ${ARGN})
endmacro(dbus_add_activation_system_service _sources)

find_package(Qt4 REQUIRED)
find_package(Xapian REQUIRED)
find_package(AptPkg REQUIRED)
find_package(QtGStreamer)

set(POLKITQT-1_MIN_VERSION "0.98.1")
find_package(PolkitQt-1 REQUIRED)

# Find the required Libaries
include_directories(
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
    ${POLKITQT-1_INCLUDE_DIR}
    ${XAPIAN_INCLUDE_DIR}
    ${APTPKG_INCLUDE_DIR}
    )

MACRO(NORMALIZE_VERSION _requested_version _normalized_version)
    STRING(REGEX MATCH "[^0-9]*[0-9]+\\.[0-9]+\\.[0-9]+.*" _threePartMatch "${_requested_version}")
    if (_threePartMatch)
    # parse the parts of the version string
        STRING(REGEX REPLACE "[^0-9]*([0-9]+)\\.[0-9]+\\.[0-9]+.*" "\\1" _major_vers "${_requested_version}")
        STRING(REGEX REPLACE "[^0-9]*[0-9]+\\.([0-9]+)\\.[0-9]+.*" "\\1" _minor_vers "${_requested_version}")
        STRING(REGEX REPLACE "[^0-9]*[0-9]+\\.[0-9]+\\.([0-9]+).*" "\\1" _patch_vers "${_requested_version}")
    else (_threePartMatch)
        STRING(REGEX REPLACE "([0-9]+)\\.[0-9]+" "\\1" _major_vers "${_requested_version}")
        STRING(REGEX REPLACE "[0-9]+\\.([0-9]+)" "\\1" _minor_vers "${_requested_version}")
        set(_patch_vers "0")
    endif (_threePartMatch)

    # compute an overall version number which can be compared at once
    MATH(EXPR ${_normalized_version} "${_major_vers}*10000 + ${_minor_vers}*100 + ${_patch_vers}")
ENDMACRO(NORMALIZE_VERSION)

MACRO(MACRO_CHECK_RANGE_INCLUSIVE_LOWER _lower_limit _value _upper_limit _ok)
   if (${_value} LESS ${_lower_limit})
      set( ${_ok} FALSE )
  elseif (${_value} EQUAL ${_lower_limit})
      set( ${_ok} TRUE )
  elseif (${_value} EQUAL ${_upper_limit})
      set( ${_ok} FALSE )
  elseif (${_value} GREATER ${_upper_limit})
      set( ${_ok} FALSE )
  else (${_value} LESS ${_lower_limit})
      set( ${_ok} TRUE )
  endif (${_value} LESS ${_lower_limit})
ENDMACRO(MACRO_CHECK_RANGE_INCLUSIVE_LOWER)

MACRO(MACRO_ENSURE_VERSION requested_version found_version var_too_old)
    NORMALIZE_VERSION( ${requested_version} req_vers_num )
    NORMALIZE_VERSION( ${found_version} found_vers_num )

    if (found_vers_num LESS req_vers_num)
        set( ${var_too_old} FALSE )
    else (found_vers_num LESS req_vers_num)
        set( ${var_too_old} TRUE )
    endif (found_vers_num LESS req_vers_num)

ENDMACRO(MACRO_ENSURE_VERSION)

MACRO(MACRO_ENSURE_VERSION2 requested_version2 found_version2 var_too_old2)
    MACRO_ENSURE_VERSION( ${requested_version2} ${found_version2} ${var_too_old2})
ENDMACRO(MACRO_ENSURE_VERSION2)

MACRO(MACRO_ENSURE_VERSION_RANGE min_version found_version max_version var_ok)
    NORMALIZE_VERSION( ${min_version} req_vers_num )
    NORMALIZE_VERSION( ${found_version} found_vers_num )
    NORMALIZE_VERSION( ${max_version} max_vers_num )

    MACRO_CHECK_RANGE_INCLUSIVE_LOWER( ${req_vers_num} ${found_vers_num} ${max_vers_num} ${var_ok})
ENDMACRO(MACRO_ENSURE_VERSION_RANGE)

if (CMAKE_COMPILER_IS_GNUCXX)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")

   include(CheckCXXCompilerFlag)

   # visibility support
   check_cxx_compiler_flag(-fvisibility=hidden __HAVE_GCC_VISIBILITY)
   set( __HAVE_GCC_VISIBILITY ${__HAVE_GCC_VISIBILITY} CACHE BOOL "GCC support for hidden visibility")

   # get the gcc version
   exec_program(${CMAKE_C_COMPILER} ARGS ${CMAKE_C_COMPILER_ARG1} --version OUTPUT_VARIABLE _gcc_version_info)

   string (REGEX MATCH "[345]\\.[0-9]\\.[0-9]" _gcc_version "${_gcc_version_info}")
   # gcc on mac just reports: "gcc (GCC) 3.3 20030304 ..." without the patch level, handle this here:
   if (NOT _gcc_version)
      string (REGEX MATCH ".*\\(GCC\\).* ([34]\\.[0-9]) .*" "\\1.0" _gcc_version "${gcc_on_macos}")
      if (gcc_on_macos)
        string (REGEX REPLACE ".*\\(GCC\\).* ([34]\\.[0-9]) .*" "\\1.0" _gcc_version "${_gcc_version_info}")
      endif (gcc_on_macos)
   endif (NOT _gcc_version)

   if (_gcc_version)
      macro_ensure_version("4.1.0" "${_gcc_version}" GCC_IS_NEWER_THAN_4_1)
      macro_ensure_version("4.2.0" "${_gcc_version}" GCC_IS_NEWER_THAN_4_2)
      macro_ensure_version("4.3.0" "${_gcc_version}" GCC_IS_NEWER_THAN_4_3)
   endif (_gcc_version)

   # save a little by making local statics not threadsafe
   # ### do not enable it for older compilers, see
   # ### http://gcc.gnu.org/bugzilla/show_bug.cgi?id=31806
   if (GCC_IS_NEWER_THAN_4_3)
       set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-threadsafe-statics")
   endif (GCC_IS_NEWER_THAN_4_3)

   set(_GCC_COMPILED_WITH_BAD_ALLOCATOR FALSE)
   if (GCC_IS_NEWER_THAN_4_1)
      exec_program(${CMAKE_C_COMPILER} ARGS ${CMAKE_C_COMPILER_ARG1} -v OUTPUT_VARIABLE _gcc_alloc_info)
      string(REGEX MATCH "(--enable-libstdcxx-allocator=mt)" _GCC_COMPILED_WITH_BAD_ALLOCATOR "${_gcc_alloc_info}")
   endif (GCC_IS_NEWER_THAN_4_1)

   if (__HAVE_GCC_VISIBILITY AND GCC_IS_NEWER_THAN_4_1 AND NOT _GCC_COMPILED_WITH_BAD_ALLOCATOR AND NOT WIN32)
      set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
      # check that Qt defines Q_DECL_EXPORT as __attribute__ ((visibility("default")))
      # if it doesn't and KDE compiles with hidden default visibiltiy plugins will break
      set(_source "#include <QtCore/QtGlobal>\n int main()\n {\n #ifndef QT_VISIBILITY_AVAILABLE \n #error QT_VISIBILITY_AVAILABLE is not available\n #endif \n }\n")
      set(_source_file ${CMAKE_BINARY_DIR}/CMakeTmp/check_qt_visibility.cpp)
      file(WRITE "${_source_file}" "${_source}")
      set(_include_dirs "-DINCLUDE_DIRECTORIES:STRING=${QT_INCLUDES}")

      try_compile(_compile_result ${CMAKE_BINARY_DIR} ${_source_file} CMAKE_FLAGS "${_include_dirs}" COMPILE_OUTPUT_VARIABLE _compile_output_var)

      if(NOT _compile_result)
         message(FATAL_ERROR "Qt compiled without support for -fvisibility=hidden. This will break plugins and linking of some applications. Please fix your Qt installation.")
      endif(NOT _compile_result)

      if (GCC_IS_NEWER_THAN_4_2)
          set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
      endif (GCC_IS_NEWER_THAN_4_2)
   else (__HAVE_GCC_VISIBILITY AND GCC_IS_NEWER_THAN_4_1 AND NOT _GCC_COMPILED_WITH_BAD_ALLOCATOR AND NOT WIN32)
      set (__HAVE_GCC_VISIBILITY 0)
   endif (__HAVE_GCC_VISIBILITY AND GCC_IS_NEWER_THAN_4_1 AND NOT _GCC_COMPILED_WITH_BAD_ALLOCATOR AND NOT WIN32)

endif (CMAKE_COMPILER_IS_GNUCXX)

add_subdirectory(src)
add_subdirectory(includes)
add_subdirectory(tests)

find_package(KDE4)
if (KDE4_FOUND)
    include(KDE4Defaults)
    add_subdirectory(utils)

    #Do not remove or modify these.  The release script substitutes in for these
    #comments with appropriate doc and translation directories.
    
include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

    #DOC_SUBDIR

macro_log_feature(KDE4_FOUND "KDE" "Development libraries for the KDE Platform"
                  "http://kde.org" FALSE "" "Used to build optional utilities that use QApt")
macro_log_feature(QTGSTREAMER_FOUND "QtGStreamer" "Qt wrapper around the GStreamer multimedia framework"
                  "http://gstreamer.freedesktop.org" FALSE "" "Used to build an optional GStreamer plugin installer")

macro_display_feature_log()
endif (KDE4_FOUND)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libqapt.pc
        DESTINATION ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/pkgconfig
        COMPONENT Devel )
install(FILES ${CMAKE_SOURCE_DIR}/cmake/modules/QAptConfig.cmake
        DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/cmake/QApt/
        COMPONENT Devel )

add_test(NAME sourceslisttest COMMAND ${CMAKE_CURRENT_BINARY_DIR}/tests/sourceslisttest)
add_test(NAME transactionerrorhandlingtest COMMAND ${CMAKE_CURRENT_BINARY_DIR}/tests/transactionerrorhandlingtest)

=== includes/CMakeLists.txt ===
install( FILES
    Backend
    Globals
    Package
    Config
    History
    DebFile
    DependencyInfo
    Changelog
    Transaction
    DownloadProgress
    MarkingErrorInfo
    SourceEntry
    SourcesList
DESTINATION include/LibQApt COMPONENT Devel)

=== src/CMakeLists.txt ===
set(qapt_SRCS
    backend.cpp
    cache.cpp
    package.cpp
    config.cpp
    history.cpp
    debfile.cpp
    dependencyinfo.cpp
    changelog.cpp
    transaction.cpp
    transactiondbus.cpp
    downloadprogress.cpp
    markingerrorinfo.cpp
    sourceentry.cpp
    sourceslist.cpp
    )

include_directories(
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_BINARY_DIR}/src
    )

add_subdirectory(worker)

set(qapt_HDRS
    package.h
    debfile.h
    dependencyinfo.h
    changelog.h
    globals.h
    downloadprogress.h
    markingerrorinfo.h
    sourceentry.h
    )

qt4_add_dbus_interface(qapt_SRCS
                       worker/org.kubuntu.qaptworker2.xml
                       workerdbus)

add_library(qapt SHARED ${qapt_SRCS})
set_target_properties(qapt PROPERTIES
    VERSION ${qapt_lib_VERSION}
    SOVERSION ${qapt_lib_SOVERSION}
    )

target_link_libraries(qapt
    ${QT_QTDBUS_LIBRARIES}
    ${QT_QTCORE_LIBRARIES}
    ${APTPKG_LIBRARIES}
    ${XAPIAN_LIBRARIES}
    )

install(TARGETS qapt
    LIBRARY DESTINATION lib${LIB_SUFFIX})

install(FILES
    backend.h
    changelog.h
    config.h
    debfile.h
    dependencyinfo.h
    history.h
    package.h
    globals.h
    transaction.h
    downloadprogress.h
    markingerrorinfo.h
    sourceentry.h
    sourceslist.h

    DESTINATION
    include/libqapt COMPONENT Devel)

=== utils/CMakeLists.txt ===
find_package(DebconfKDE REQUIRED)

add_subdirectory(qapt-batch)
add_subdirectory(qapt-deb-installer)
add_subdirectory(qapt-deb-thumbnailer)
add_subdirectory(plasma-runner-installer)

if (QTGSTREAMER_FOUND)
    add_definitions(-fexceptions)
    add_definitions(-DGST_DISABLE_DEPRECATED)
    add_subdirectory(qapt-gst-helper)
endif (QTGSTREAMER_FOUND)

=== po/bs/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(bs ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== src/worker/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/src
)

if ("${CMAKE_INSTALL_PREFIX}" STREQUAL "/usr") # If the prefix is usr, things will not be in /usr/etc/
    set(SYSCONF_INSTALL_DIR "/etc") # ...but rather in /etc
else ("${CMAKE_INSTALL_PREFIX}" STREQUAL "/usr")
    set(SYSCONF_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/etc") # Otherwise, trust the prefix
endif ("${CMAKE_INSTALL_PREFIX}" STREQUAL "/usr")

set(qapt_worker_SRCS
    main.cpp
    aptlock.cpp
    aptworker.cpp
    transaction.cpp
    transactionadapter.cpp
    transactionqueue.cpp
    workeracquire.cpp
    workerdaemon.cpp
    workerinstallprogress.cpp
)

qt4_add_dbus_adaptor(qapt_worker_SRCS
    org.kubuntu.qaptworker2.xml
    workerdaemon.h
    WorkerDaemon
)

add_executable(qaptworker2
    ${qapt_worker_SRCS}
    ${qapt_worker_adaptor_SRCS}
)

# see our worker is pretty small :D
target_link_libraries(qaptworker2
    ${QT_QTCORE_LIBRARY}
    ${POLKITQT-1_CORE_LIBRARY}
    util
    qapt
)

install(TARGETS qaptworker2 DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

dbus_add_activation_system_service(org.kubuntu.qaptworker2.service.in)

find_package(KDE4)
if (KDE4_FOUND)
    include(KDE4Defaults)
    kde4_install_auth_actions(org.kubuntu.qaptworker2 qaptworker.actions)
else (KDE4_FOUND)
    install(FILES org.kubuntu.qaptworker2.policy DESTINATION ${CMAKE_INSTALL_PREFIX}/share/polkit-1/actions)
endif (KDE4_FOUND)

install(FILES org.kubuntu.qaptworker2.conf DESTINATION ${SYSCONF_INSTALL_DIR}/dbus-1/system.d/)

=== utils/plasma-runner-installer/CMakeLists.txt ===
include_directories(${KDE4_INCLUDES} ${QT_INCLUDES})

set(krunner_installer_SRCS
    installerrunner.cpp
)

kde4_add_plugin(krunner_installer ${krunner_installer_SRCS})
target_link_libraries(krunner_installer ${KDE4_KIO_LIBS} ${KDE4_PLASMA_LIBS} )

install(TARGETS krunner_installer DESTINATION ${PLUGIN_INSTALL_DIR} )

install(FILES plasma-runner-installer.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== utils/qapt-batch/CMakeLists.txt ===
set(qaptbatch_SRCS
    main.cpp
    qaptbatch.cpp
    detailswidget.cpp
    ../../src/transactiondbus.cpp)

include_directories(${KDE4_INCLUDES} ${QT_INCLUDES})

kde4_add_executable(qapt-batch ${qaptbatch_SRCS})

target_link_libraries(qapt-batch ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} qapt)

install(TARGETS qapt-batch ${INSTALL_TARGETS_DEFAULT_ARGS})

=== utils/qapt-deb-installer/CMakeLists.txt ===
set(qapt-deb-installer_SRCS
    main.cpp
    DebCommitWidget.cpp
    DebInstaller.cpp
    DebViewer.cpp
    ChangesDialog.cpp)

include_directories(${KDE4_INCLUDES} ${QT_INCLUDES})

if (CMAKE_COMPILER_IS_GNUCXX)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
endif (CMAKE_COMPILER_IS_GNUCXX)

kde4_add_executable(qapt-deb-installer ${qapt-deb-installer_SRCS})

target_link_libraries(qapt-deb-installer ${KDE4_KDEUI_LIBS}
                                         ${KDE4_KIO_LIBS}
                                         ${DEBCONF_KDE_LIB}
                                         qapt)

install(TARGETS qapt-deb-installer ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS qapt-deb-installer.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})

=== utils/qapt-deb-thumbnailer/CMakeLists.txt ===
set(qapt-deb-thumbnailer_SRCS DebThumbnailer.cpp)

include_directories(${KDE4_INCLUDES}
                    ${QT_INCLUDES})

kde4_add_plugin(debthumbnailer ${qapt-deb-thumbnailer_SRCS})

target_link_libraries(debthumbnailer ${KDE4_KIO_LIBS} qapt)

install(TARGETS debthumbnailer DESTINATION ${PLUGIN_INSTALL_DIR} )

install(FILES  debthumbnailer.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
libqapt (2.1.70-0ubuntu4.2) trusty; urgency=medium

  * Add upstream_fix-package-remove-resolver.diff LP: #1358291
    ensure package resolution happens after cache is marked

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 18 Aug 2014 15:26:22 +0200

libqapt (2.1.70-0ubuntu4.1) trusty; urgency=medium

  * Add upstream_Prevent-crashes-on-source-entries-that-contain-a-lin.patch
    from upstream git to resolve a crash when parsing source entries
    denoting a comment but not actually containing anything other than hash
    chracters.
    LP: #1312043
    (this commit is not part of upstream's 2.2.0 tarball and therefore is not
     imported as part of the upstream_git patch set)

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 24 Apr 2014 10:33:17 +0200

libqapt (2.1.70-0ubuntu4) trusty; urgency=medium

  * Import upstream commits 11 to 12
    + This possibly makes the qapt gst helper work with gstreamer 0.10 requets
      by doing a more explicit version match to prevent 1.0 packages from
      being considered as candiates for 0.10 codec requests.

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 10 Apr 2014 13:48:14 +0200

libqapt (2.1.70-0ubuntu3) trusty; urgency=medium

  * Import upstream commits 07 to 10 (LP: #1298380)
    + These commits include fixes to the qapt-gstreamer installer that port
      it to gstreamer1.0 native API for 14.04
    + Also fixes return values of the gstreamer installer to enable auto
      cache reloading to enable playback without restart
  * Adjust dependencies for gstreamer1.0 native port
    - removed: libqtgstreamer-dev
    - added: libgstreamer1.0-dev, libglib2.0-dev,
             libgstreamer-plugins-base1.0-dev

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 07 Apr 2014 11:57:20 +0200

libqapt (2.1.70-0ubuntu2) trusty; urgency=medium

  * Import upstream commits since release, resolving bugs in sourcelists
    handling as well as debfile handling.
    + All in sub directory upstream_git/ (git format-patch export)

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 18 Mar 2014 17:21:20 +0100

libqapt (2.1.70-0ubuntu1) trusty; urgency=medium

  * New upstream release
  * Rename source to libqapt to match upstream
  * Add kubuntu_disable-tests.diff, tests do not currently compile

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Feb 2014 21:12:09 +0000

qapt (2.0.65-0ubuntu1) saucy; urgency=low

  * New upstream alpha release:
    - Update libqapt-dev.install for new files
    - Update libqapt2.symbols for new symbols

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 25 Jun 2013 10:43:56 -0400

qapt (2.0.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 28 May 2013 10:48:09 -0400

qapt (2.0.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 01 Apr 2013 16:33:02 -0400

qapt (1.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 12 Mar 2013 21:36:52 -0400

qapt (1.9.95-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 10 Mar 2013 12:36:03 -0400

qapt (1.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release:
    - Update libqapt2.symbols
  * Bump Standards-Version to 3.9.4

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 24 Jan 2013 13:26:47 -0500

qapt (1.9.65-0ubuntu1) raring; urgency=low

  * New upstream alpha release:
    - Update .symbols file
    - Adapt to header changes in libqapt-dev.install

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 06 Dec 2012 14:36:37 -0500

qapt (1.9.60-0ubuntu3) raring; urgency=low

  * Add fix_qapt_batch.diff from git master to fix broken install/remove
    capabilities for qapt-batch. (LP: #1086047)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 03 Dec 2012 12:26:30 -0500

qapt (1.9.60-0ubuntu2) raring-proposed; urgency=low

  * Move Depends of binary packages from libqapt-runtime to libqapt2-runtime

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 31 Oct 2012 12:57:09 -0400

qapt (1.9.60-0ubuntu1) raring-proposed; urgency=low

  * New upstream release:
    - Remove kubuntu_fix_proxy_crash.diff, merged upstream
    - Rename libqapt1 to libqapt2 for .so version bump
    - Rename libqapt-runtime to libqapt2-runtime for co-installability with
      QApt 1.x (The appropriate files in libqapt-runtime have been renamed
      upstream for coinstallability)
    - Update the symbols file for 2.x.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 29 Oct 2012 14:40:48 -0400

qapt (1.4.1-0ubuntu2) quantal; urgency=low

  * Add kubuntu_fix_proxy_crash.diff from upstream 1.4 branch to fix a crash
    that can occur with certain KDE proxy configurations.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 03 Oct 2012 19:19:31 -0400

qapt (1.4.1-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 29 Sep 2012 14:34:43 -0400

qapt (1.4.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 15 Aug 2012 21:24:54 -0400

qapt (1.3.95-0ubuntu1) quantal; urgency=low

  * New upstream release candidate (LP: #1021966)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 15 Jul 2012 13:02:13 -0400

qapt (1.3.80-0ubuntu2) quantal-proposed; urgency=low

  * No-change rebuild against libapt-inst1.5.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Jun 2012 08:54:50 -0700

qapt (1.3.80-0ubuntu1) quantal; urgency=low

  * New upstream beta release:
    - Update libqapt1.symbols
  * Fix duplicate Copyright: field, lines 8, 32 of debian/copyright

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 10 Jun 2012 16:00:19 -0400

qapt (1.3.65-0ubuntu1) quantal; urgency=low

  * New upstream alpha release:
    - Drop cherry-picked patches from the 1.3 branch
    - Update libqapt1.symbols


=== debian/control ===
Source: libqapt
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
 Kai Wasserbäch <curan@debian.org>
Build-Depends: debhelper (>= 9),
 pkg-kde-tools (>= 0.5.0),
 cmake (>= 2.8.4+dfsg.1-3),
 pkg-config,
 kdelibs5-dev,
 libapt-pkg-dev (>= 0.8.0),
 libxapian-dev,
 libpolkit-qt-1-dev,
 libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev, libglib2.0-dev,
 libdebconf-kde-dev
Standards-Version: 3.9.4
Homepage: https://projects.kde.org/projects/extragear/sysadmin/libqapt/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/qapt.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/qapt.git;a=summary

Package: libqapt2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QApt library package
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the QApt library

Package: libqapt-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libqapt2 (= ${binary:Version}), libapt-pkg-dev
Description: Development headers for the QApt library
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the development headers for the QApt library

Package: libqapt2-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, polkit-kde-1 | policykit-1-gnome
Description: Runtime components for the QApt library
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the runtime components necessary for applications using
 the QApt library to run.

Package: qapt-utils
Architecture: any
Depends: ${misc:Depends}, qapt-batch, qapt-deb-installer,
 plasma-runner-installer, kde-thumbnailer-deb
Recommends: gstreamer0.10-qapt
Description: complete collection of QApt package management utilities
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 This is a metapackage depending on all of QApt's extra package management
 utilities.

Package: qapt-batch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt2-runtime
Description: Batch package manager for KDE
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 QApt Batch is a simple GUI for doing batch package management operations.
 It can install and remove packages, as well as update the package cache via a
 command line interface. It also has an attach function invokable via the
 command line. QApt Batch is a drop-in replacement for the "install-package"
 batch package management tool.

Package: qapt-deb-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt2-runtime
Description: tool for installing deb files
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 The QApt deb installer allows you to install local .deb files. The QApt Deb
 Installer resolves and downloads dependencies. The APT package manager does
 the same, but only for remote packages.

Package: plasma-runner-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, command-not-found, qapt-batch
Description: KRunner plugin for installing packages
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 This KRunner plugin offers the option to install an application if its
 command is typed in to KRunner and the application is not already
 installed.

Package: kde-thumbnailer-deb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: dolphin, konqueror
Description: KDE plugin to show thumbnails of Debian package files
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 A plugin for KDE file managers (Dolphin and Konqueror) to preview Debian
 packages (.deb files) as thumbnails.

Package: gstreamer0.10-qapt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt2-runtime
Description: GStreamer plugin to install codecs using QApt
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 This package provides a plugin for the GStreamer multimedia framework
 to search and to install audio and video codecs.

Package: qapt-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, libqapt2 (= ${binary:Version})
Recommends: kdelibs5-dbg
Description: QApt debugging symbols
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 This package contains debugging symbols for QApt.
 When QApt crashes, in most cases this package is
 needed to get a backtrace that is useful for developers. If you have
 experienced a QApt crash without this package
 installed, please install it, try to reproduce the problem and fill a bug
 report with a new backtrace attached.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kde --parallel --dbg-package=qapt-dbg

override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_install

## libqapt 2.2.0

=== debian/changelog ===
libqapt (2.2.0-0ubuntu2) utopic; urgency=medium

  * Add upstream_fix-package-remove-resolver.diff LP: #1358291
    cache marking worked without resolution

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 18 Aug 2014 15:35:24 +0200

libqapt (2.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release (LP: #1328165)
    - Refreshed patches, removed reverse applied.
    - Refreshed symbols
    - verified tests still don't compile.

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 01 Jul 2014 09:03:00 -0700

libqapt (2.1.70-0ubuntu6) utopic; urgency=medium

  * Rename gstreamer0.10-qapt to gstreamer-qapt
    + The codec-installer in theory supports both 0.10 and 1.x (at least 1.x)
    + The alternative system provided does not handle gstreamer plugin API
      versions at all, there is only one gstreamer-codec-installer and that one
      is used everywhere, so the API versin based name doesn't make sense
      to begin with.
    + A transitional package gstreamer0.10-qapt was added
    + The new gstreamer-qapt package replaces and conflicts the older
      gstreamer0.10-qapt versions
    + Renamed .install, postinst, prerm accordingly
    + Removed crap comments from maintainer scripts
    LP: #1313066 

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 28 Apr 2014 12:11:00 +0200

libqapt (2.1.70-0ubuntu5) utopic; urgency=medium

  * Add upstream_Prevent-crashes-on-source-entries-that-contain-a-lin.patch
    from upstream git to resolve a crash when parsing source entries
    denoting a comment but not actually containing anything other than hash
    chracters.
    LP: #1312043
    (this commit is not part of upstream's 2.2.0 tarball and therefore is not
     imported as part of the upstream_git patch set)

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 24 Apr 2014 10:33:17 +0200

=== debian/control ===
--- 
+++ 
@@ -59,7 +59,7 @@
 Architecture: any
 Depends: ${misc:Depends}, qapt-batch, qapt-deb-installer,
  plasma-runner-installer, kde-thumbnailer-deb
-Recommends: gstreamer0.10-qapt
+Recommends: gstreamer-qapt
 Description: complete collection of QApt package management utilities
  QApt is a collection of tools and a library providing a wrapper around
  APT. The intention is to ease the use of APT in Qt-based programs.
@@ -113,15 +113,24 @@
  A plugin for KDE file managers (Dolphin and Konqueror) to preview Debian
  packages (.deb files) as thumbnails.
 
-Package: gstreamer0.10-qapt
+Package: gstreamer-qapt
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt2-runtime
+Replaces: gstreamer0.10-qapt (<< 2.1.70-0ubuntu5~)
+Breaks: gstreamer0.10-qapt (<< 2.1.70-0ubuntu5~)
 Description: GStreamer plugin to install codecs using QApt
  QApt is a collection of tools and a library providing a wrapper around
  APT. The intention is to ease the use of APT in Qt-based programs.
  .
  This package provides a plugin for the GStreamer multimedia framework
  to search and to install audio and video codecs.
+
+Package: gstreamer0.10-qapt
+Depends: gstreamer-qapt, ${misc:Depends}
+Architecture: all
+Section: oldlibs
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
 
 Package: qapt-dbg
 Section: debug

## libqapt 3.0.0

=== debian/changelog ===
libqapt (3.0.0-0ubuntu2) vivid; urgency=medium

  * Add build-dep on qttools5-dev-tools

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 20 Jan 2015 13:15:44 +0100

libqapt (3.0.0-0ubuntu1) vivid; urgency=medium

  * Initial upload for qapt3

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 20 Jan 2015 12:13:04 +0100

libqapt (2.2.0+qt5+20140826-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 26 Aug 2014 15:08:16 +0200

libqapt (2.1.70+qt5+20140731.1) utopic; urgency=medium

  * Git qt5 snapshot

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 24 Jul 2014 14:52:03 +0200

=== debian/control ===
--- 
+++ 
@@ -4,25 +4,39 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
- Kai Wasserbäch <curan@debian.org>
-Build-Depends: debhelper (>= 9),
- pkg-kde-tools (>= 0.5.0),
- cmake (>= 2.8.4+dfsg.1-3),
- pkg-config,
- kdelibs5-dev,
- libapt-pkg-dev (>= 0.8.0),
- libxapian-dev,
- libpolkit-qt-1-dev,
- libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev, libglib2.0-dev,
- libdebconf-kde-dev
+           Kai Wasserbäch <curan@debian.org>
+Build-Depends: cmake (>= 2.8.4+dfsg.1-3),
+               debhelper (>= 9),
+               extra-cmake-modules,
+               kio-dev,
+               libapt-pkg-dev (>= 0.8.0),
+               libdebconf-kde-dev (>= 1.0.0),
+               libglib2.0-dev,
+               libgstreamer-plugins-base1.0-dev,
+               libgstreamer1.0-dev,
+               libkf5auth-dev,
+               libkf5coreaddons-dev,
+               libkf5i18n-dev,
+               libkf5runner-dev,
+               libkf5textwidgets-dev,
+               libkf5widgetsaddons-dev,
+               libkf5windowsystem-dev,
+               libpolkit-qt5-1-dev,
+               libxapian-dev,
+               pkg-config,
+               pkg-kde-tools (>= 0.5.0),
+               plasma-framework-dev,
+               qttools5-dev,
+               qttools5-dev-tools
 Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/extragear/sysadmin/libqapt/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/qapt.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/qapt.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-extras/qapt
 
-Package: libqapt2
+Package: libqapt3
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: libqapt3-runtime
 Description: QApt library package
  LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
  implementation using libapt-pkg. The aim is to provide a sane API for
@@ -34,7 +48,7 @@
 Package: libqapt-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libqapt2 (= ${binary:Version}), libapt-pkg-dev
+Depends: libapt-pkg-dev, libqapt3 (= ${binary:Version}), ${misc:Depends}
 Description: Development headers for the QApt library
  LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
  implementation using libapt-pkg. The aim is to provide a sane API for
@@ -43,9 +57,11 @@
  .
  This package contains the development headers for the QApt library
 
-Package: libqapt2-runtime
+Package: libqapt3-runtime
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, polkit-kde-1 | policykit-1-gnome
+Depends: polkit-kde-agent-1 | policykit-1-gnome,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Runtime components for the QApt library
  LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
  implementation using libapt-pkg. The aim is to provide a sane API for
@@ -57,8 +73,11 @@
 
 Package: qapt-utils
 Architecture: any
-Depends: ${misc:Depends}, qapt-batch, qapt-deb-installer,
- plasma-runner-installer, kde-thumbnailer-deb
+Depends: kde-thumbnailer-deb,
+         plasma-runner-installer,
+         qapt-batch,
+         qapt-deb-installer,
+         ${misc:Depends}
 Recommends: gstreamer-qapt
 Description: complete collection of QApt package management utilities
  QApt is a collection of tools and a library providing a wrapper around
@@ -69,7 +88,7 @@
 
 Package: qapt-batch
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt2-runtime
+Depends: libqapt3-runtime, ${misc:Depends}, ${shlibs:Depends}
 Description: Batch package manager for KDE
  QApt is a collection of tools and a library providing a wrapper around
  APT. The intention is to ease the use of APT in Qt-based programs.
@@ -82,7 +101,7 @@
 
 Package: qapt-deb-installer
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt2-runtime
+Depends: libqapt3-runtime, ${misc:Depends}, ${shlibs:Depends}
 Description: tool for installing deb files
  QApt is a collection of tools and a library providing a wrapper around
  APT. The intention is to ease the use of APT in Qt-based programs.
@@ -93,7 +112,7 @@
 
 Package: plasma-runner-installer
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, command-not-found, qapt-batch
+Depends: command-not-found, qapt-batch, ${misc:Depends}, ${shlibs:Depends}
 Description: KRunner plugin for installing packages
  QApt is a collection of tools and a library providing a wrapper around
  APT. The intention is to ease the use of APT in Qt-based programs.
@@ -104,7 +123,7 @@
 
 Package: kde-thumbnailer-deb
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Enhances: dolphin, konqueror
 Description: KDE plugin to show thumbnails of Debian package files
  QApt is a collection of tools and a library providing a wrapper around
@@ -115,7 +134,7 @@
 
 Package: gstreamer-qapt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt2-runtime
+Depends: libqapt3-runtime, ${misc:Depends}, ${shlibs:Depends}
 Replaces: gstreamer0.10-qapt (<< 2.1.70-0ubuntu5~)
 Breaks: gstreamer0.10-qapt (<< 2.1.70-0ubuntu5~)
 Description: GStreamer plugin to install codecs using QApt
@@ -136,7 +155,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, libqapt2 (= ${binary:Version})
+Depends: libqapt3 (= ${binary:Version}), ${misc:Depends}
 Recommends: kdelibs5-dbg
 Description: QApt debugging symbols
  QApt is a collection of tools and a library providing a wrapper around

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf5 --parallel --dbg-package=qapt-dbg

override_dh_install:
	dh_install --fail-missing

override_dh_auto_test:

.PHONY: override_dh_install override_dh_auto_test
